Bug 189671 - gimp backtrace on exit
gimp backtrace on exit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-22 08:53 EDT by Chris Ricker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-02 08:57:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GDB log of gimp when quitting gimp (12.50 KB, text/plain)
2006-04-23 04:15 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Chris Ricker 2006-04-22 08:53:20 EDT
I get the following fairly frequently when trying to exit the gimp (2.2.10-4,
i386) and then have to force-quit it to clean up the mess

[kaboom@d1000 room]$ *** glibc detected *** gimp: corrupted double-linked list:
0x0aa18560 ***
======= Backtrace: =========
/lib/libc.so.6[0xc0033f]
/lib/libc.so.6[0xc01c5e]
/lib/libc.so.6(__libc_free+0x79)[0xc0541d]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0xd765a1]
/usr/lib/libpango-1.0.so.0(pango_glyph_string_free+0x25)[0x41df4d5]
/usr/lib/libpango-1.0.so.0[0x41e88e6]
/usr/lib/libglib-2.0.so.0(g_slist_foreach+0x21)[0xd86a81]
/usr/lib/libpango-1.0.so.0(pango_layout_line_unref+0x52)[0x41e8402]
/usr/lib/libpango-1.0.so.0[0x41e8933]
/usr/lib/libpango-1.0.so.0[0x41ea12d]
/usr/lib/libgobject-2.0.so.0(g_object_unref+0x16c)[0xa972ac]
/usr/lib/libgtk-x11-2.0.so.0[0x43519e8]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__OBJECT+0x59)[0xaa16d9]
/usr/lib/libgobject-2.0.so.0[0xa937a9]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11d)[0xa94f6d]
/usr/lib/libgobject-2.0.so.0[0xaa6083]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x8c7)[0xaa6f47]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0xaa7109]
/usr/lib/libgtk-x11-2.0.so.0[0x4455084]
/usr/lib/libgtk-x11-2.0.so.0[0x44551c7]
/usr/lib/libgtk-x11-2.0.so.0[0x437368a]
/usr/lib/libgtk-x11-2.0.so.0[0x43484d1]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_forall+0x6b)[0x42d726b]
/usr/lib/libgtk-x11-2.0.so.0[0x44551ff]
/usr/lib/libgtk-x11-2.0.so.0[0x4376169]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_forall+0x6b)[0x42d726b]
/usr/lib/libgtk-x11-2.0.so.0[0x44551ff]
/usr/lib/libgtk-x11-2.0.so.0[0x44585bc]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_unparent+0x169)[0x4460bc9]
/usr/lib/libgtk-x11-2.0.so.0[0x4298c65]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__OBJECT+0x59)[0xaa16d9]
/usr/lib/libgobject-2.0.so.0[0xa937a9]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11d)[0xa94f6d]
/usr/lib/libgobject-2.0.so.0[0xaa5eca]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x8c7)[0xaa6f47]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0xaa7109]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_remove+0xe9)[0x42d7af9]
/usr/lib/libgtk-x11-2.0.so.0[0x445cdcd]
/usr/lib/libgobject-2.0.so.0(g_object_run_dispose+0x50)[0xa975f0]
/usr/lib/libgtk-x11-2.0.so.0(gtk_object_destroy+0x7e)[0x43864ee]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_destroy+0x45)[0x445cfd5]
/usr/lib/libgtk-x11-2.0.so.0[0x43758b8]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0xaa21c9]
/usr/lib/libgobject-2.0.so.0[0xa937a9]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x20c)[0xa9505c]
/usr/lib/libgobject-2.0.so.0[0xaa61ef]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x8c7)[0xaa6f47]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0xaa7109]
/usr/lib/libgtk-x11-2.0.so.0[0x43866e1]
/usr/lib/libgtk-x11-2.0.so.0[0x445cdf1]
/usr/lib/libgobject-2.0.so.0(g_object_run_dispose+0x50)[0xa975f0]
/usr/lib/libgtk-x11-2.0.so.0(gtk_object_destroy+0x7e)[0x43864ee]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_destroy+0x45)[0x445cfd5]
/usr/lib/libgtk-x11-2.0.so.0[0x4376169]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_foreach+0x6b)[0x42d708b]
/usr/lib/libgtk-x11-2.0.so.0[0x42d79d0]
/usr/lib/libgtk-x11-2.0.so.0[0x436dcef]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0xaa21c9]
/usr/lib/libgobject-2.0.so.0[0xa937a9]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x20c)[0xa9505c]
/usr/lib/libgobject-2.0.so.0[0xaa61ef]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x8c7)[0xaa6f47]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0xaa7109]
======= Memory map: ========
00111000-0011a000 r-xp 00000000 03:02 9878466    /lib/libnss_files-2.4.so
0011a000-0011b000 r-xp 00008000 03:02 9878466    /lib/libnss_files-2.4.so
0011b000-0011c000 rwxp 00009000 03:02 9878466    /lib/libnss_files-2.4.so
0011c000-00120000 r-xp 00000000 03:02 654877    
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so
00120000-00121000 rwxp 00003000 03:02 654877    
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so
00121000-00133000 r-xp 00000000 03:02 393220    
/usr/lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.so
00133000-00134000 rwxp 00012000 03:02 393220    
/usr/lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.so
00134000-00136000 r-xp 00000000 03:02 9876667    /lib/libcom_err.so.2.1
00136000-00137000 rwxp 00001000 03:02 9876667    /lib/libcom_err.so.2.1
0013e000-0013f000 r-xp 00000000 03:02 10530869   /usr/lib/gconv/ISO8859-1.so
0013f000-00141000 rwxp 00000000 03:02 10530869   /usr/lib/gconv/ISO8859-1.so
00141000-001d2000 r-xp 00000000 03:02 74339      /usr/lib/libgnomeui-2.so.0.1401.0
001d2000-001d6000 rwxp 00090000 03:02 74339      /usr/lib/libgnomeui-gimp:
terminated: Aborted
Comment 1 Mamoru TASAKA 2006-04-23 04:15:20 EDT
Created attachment 128126 [details]
GDB log of gimp when quitting gimp

I can reproduce this, too. Also, similar reports have been reported on Japanese
Wiki page ( http://fedora.jp ) .
I attached my gdb log info with debuginfo rpm.

Note: for my case, installing development version gimp-2.2.11-1 to FC5 system
seems to work well.
Comment 2 Nils Philippsen 2006-04-24 05:55:36 EDT
I take comment #1 as meaning that updating to 2.2.11 would solve the problem. An
update to this version is in the queue and should hit mirrors shortly.
Comment 3 Mamoru TASAKA 2006-04-24 12:57:26 EDT
I checked updates version gimp-2.2.11-0.fc5.3 and it seems to work well for me.

Note You need to log in before you can comment on or make changes to this bug.